#!/bin/sh

###
  # IBM Confidential
   # OCO Source Materials
   # 5698-SRM
   # (C) Copyright IBM Corp. 2000, 2002
   # The source code for this program is not published or other-
   # wise divested of its trade secrets, irrespective of what has
   # been deposited with the U. S. Copyright Office.
###

OS=`uname -s`
PROD="$1"
COM="$2"
shift
shift

if [ "$OS" = "AIX" ]
  then
   if [ -x "${PROD}/aix4-r1/${COM}" ]
     then
       PDIR=aix4-r1
     else
       PDIR=aix
   fi
 elif [ "$OS" = "SunOS" ]
  then
   PDIR=solaris2
 elif [ "$OS" = "Linux" ]
  then
   PDIR=linux
fi

"${PROD}/${PDIR}/${COM}" "$@"
