#!/bin/sh

BASE=${1}
OS=`uname -s`
echo "`date`: Starting pkgadd for GUID" > ${BASE}/log/installguid.txt

if [ "$OS" = "AIX" ]
  then
   installp -aX -d${BASE}/guid/aix tivoli.tivguid >  ${BASE}/log/guidInstallStdout.txt 2> ${BASE}/log/guidInstallStderr.txt
 elif [ "$OS" = "SunOS" ]
  then
    pkgadd -n -a ${BASE}/guid/solaris2/guidadmin -d ${BASE}/guid/solaris2/TIVguid.pkg TIVguid >  ${BASE}/log/guidInstallStdout.txt 2> ${BASE}/log/guidInstallStderr.txt
 elif [ "$OS" = "Linux" ]
  then
   rpm -U ${BASE}/guid/linux-ix86/TIVguid.i386.rpm >  ${BASE}/log/guidInstallStdout.txt 2> ${BASE}/log/guidInstallStderr.txt
fi

echo "`date`: Done pkgadd for GUID" >> ${BASE}/log/installguid.txt
